﻿-- Author      : Nerino1
-- Create Date : 11/27/2010
-- Memory Usage 132kb
-- Version 0.9b

--Default Text
function DefaultFontStrings()
	FontString1:SetText('|n This mod can be used to see simple information and stratagy for Bosses.')
	FontString2:SetText('|n Separate info is shown for Tank, DPS and Healer.')
	FontString3:SetText('|n Simply Choose a Boss from the Menus or Target the Boss and Click the Target Button to see the information for the Boss encounter')
	FontString8:SetText('Boss Info')
	FontString9:SetText('Written By Nerino1')
end

-- BossInfo Saved Variables
local addonTitle

BossInfo_Version = "0.9b";

--BossInfo Option Button Text
BossInfoOptionClose = "Close"
BossInfoOptionReload = "ReloadUI"

BossInfoOptionObjects = {
	ShowWotlk= "Show WOTLK Instances",
	ShowTank = "Show Tank Information",
	ShowDps = "Show DPS Information",
	ShowHealer = "Show Healer Information",
}
local BossInfo_Defaults = {
  ["Options"] = {
    ["ShowTank"] = true,
    ["ShowDps"] = true,
    ["ShowHealer"] = true,
	["ShowWotlk"] = true,
  },
};

-- Create Saved Variable If They Don't Exist
function BossInfo_Loaded()
	if (not BossInfoData) then
		BossInfoData = BossInfo_Defaults["Options"];
		DEFAULT_CHAT_FRAME:AddMessage("BossInfo Options not found. Generating...");
	else
		DEFAULT_CHAT_FRAME:AddMessage("BossInfo Options Loaded");
	end
	BossInfoOptionsInit()
end

-- Hide Tank, DPS, Healer
function HideStuff()
	if BossInfoData.ShowTank == false then
		FontString1:Hide()
	else
		FontString1:Show()
	end
	if BossInfoData.ShowDps == false then
		FontString2:Hide()
	else
		FontString2:Show()
	end
	if BossInfoData.ShowHealer == false then
		FontString3:Hide()
	else
		FontString3:Show()
	end
end	

-- Show Tank, DPS, Healer Boxes For Start Info
function ShowStuff()
	FontString1:Show()
	FontString2:Show()
	FontString3:Show()
end	

-- Slash Command Main
SLASH_BOSSINFO1, SLASH_BOSSINFO2 = '/bi', '/bossinfo';
function SlashCmdList.BOSSINFO(msg, editbox)
	if BossInfoFrame:IsShown() then
		BossInfoFrame:Hide()
		ShowStuff()
		DefaultFontStrings()
	else
		BossInfoFrame:Show()
	end
end
-- Enable Button Drag
function BossInfoButton_OnLoad(button)
	button:RegisterForDrag("LeftButton")
end

--Left Click Button
function BossInfoButton_OnClick(self, button)
	if button == "LeftButton" then
		if BossInfoFrame:IsShown() then
			BossInfoFrame:Hide()
			ShowStuff()
			DefaultFontStrings()
		else
			BossInfoFrame:Show()
		end
	end
	


-- Right Click Button
	if button == "RightButton" then
		if BossInfoOptions:IsShown() then
			BossInfoOptions:Hide()
		else
			BossInfoOptions:Show()
		end
	end	
end

-- Close Button

function Close_OnClick()
	ShowStuff()
	DefaultFontStrings()
	BossInfoFrame:Hide()
end

function HideWrath_Load()
	if BossInfoData.ShowWotlk == false then
		HideWrath()
	elseif BossInfoData.ShowWotlk == true then
		ShowWrath()
	end
end	

function HideWrath()
	Instance:Hide()
	FontString4:Hide()
end

function ShowWrath()
	Instance:Show()
	FontString4:Show()
end

-- BossInfo Options
function BossInfoOptionsInit()

   if addonTitle == nil then
	
	BossInfoOptions:Show()
	local frameWidth = 300
	local frameHeight
	local fontName, fontHeight, fontFlags = GameFontNormal:GetFont()
	local currItemNumber = 0
	local BossInfoOptions_ItemsMax = 0

	for i,j in pairs(BossInfo_Defaults) do
		BossInfoOptions_ItemsMax = BossInfoOptions_ItemsMax+1
	end

	frameHeight = ((fontHeight+5)*BossInfoOptions_ItemsMax)+165
	BossInfoOptions:SetFrameStrata("HIGH")
	BossInfoOptions:SetWidth(frameWidth)
	BossInfoOptions:SetHeight(frameHeight)
	
	BossInfoOptions.ItemsCheckBox = {}
	addonTitle = GetAddOnMetadata("BossInfo", "Title") .. " " ..  GetAddOnMetadata("BossInfo", "Version")

	BossInfoOptions.ItemsLabel = {}
	
	-- Pull from Database instead of BossInfo_Defaults

	for i,j in pairs(BossInfoData) do
		currItemNumber = currItemNumber+1
		local OffsetY = ((fontHeight+5)*currItemNumber)+10
		BossInfoOptions.ItemsCheckBox[i] = CreateFrame("CheckButton",i .. "CheckButton",BossInfoOptions,"UICheckButtonTemplate")
		BossInfoOptions.ItemsCheckBox[i]:SetWidth(fontHeight+5)
		BossInfoOptions.ItemsCheckBox[i]:SetHeight(fontHeight+5)

		if (j) then
			BossInfoOptions.ItemsCheckBox[i]:SetChecked(1)
		else
			BossInfoOptions.ItemsCheckBox[i]:SetChecked(nil)
		end
		BossInfoOptions.ItemsCheckBox[i]:SetPoint("TOPLEFT", BossInfoOptions, "BOTTOMLEFT", 10, OffsetY)
		BossInfoOptions.ItemsCheckBox[i]:SetScript("OnClick", BossInfoOptionSetup)
		BossInfoOptions.ItemsLabel[i] = BossInfoOptions:CreateFontString(nil, "OVERLAY")
		BossInfoOptions.ItemsLabel[i]:SetWidth(frameWidth-20)
		BossInfoOptions.ItemsLabel[i]:SetHeight(fontHeight+5)
		BossInfoOptions.ItemsLabel[i]:SetPoint("LEFT", BossInfoOptions.ItemsCheckBox[i], "RIGHT", 5, 0)
		BossInfoOptions.ItemsLabel[i]:SetJustifyH("LEFT")
		BossInfoOptions.ItemsLabel[i]:SetFontObject(GameFontNormal)
		BossInfoOptions.ItemsLabel[i]:SetText(BossInfoOptionObjects[i])
		BossInfoOptions.ItemsLabel[i]:Show()
		BossInfoOptions.ItemsCheckBox[i]:Show()
	end
	BossInfoOptions.CloseButton = CreateFrame("Button","CloseButton",BossInfoOptions,"GameMenuButtonTemplate")
	BossInfoOptions.CloseButton:SetWidth(75)
	BossInfoOptions.CloseButton:SetHeight(23)
	BossInfoOptions.CloseButton:SetPoint("TOPRIGHT", -15, -20)
	BossInfoOptions.CloseButton:SetText(BossInfoOptionClose)
	BossInfoOptions.CloseButton:SetScript("OnClick", function ()
		BossInfoOptions:Hide()
	end)
	BossInfoOptions.ReloadButton = CreateFrame("Button","ReloadButton",BossInfoOptions,"GameMenuButtonTemplate")
	BossInfoOptions.ReloadButton:SetWidth(75)
	BossInfoOptions.ReloadButton:SetHeight(23)
	BossInfoOptions.ReloadButton:SetPoint("BOTTOMRIGHT", -15, 20)
	BossInfoOptions.ReloadButton:SetText(BossInfoOptionReload)
	BossInfoOptions.ReloadButton:SetScript("OnClick", function ()
		ReloadUI();
	end)
   end
	BossInfoOptions:Hide()
end

function BossInfoOptionSetup()

	for i,j in pairs(BossInfoData) do
		local gobj = getglobal(TEXT(i) .. "CheckButton")
                if gobj then
                     BossInfoData[i] = (gobj:GetChecked() == 1)
                else
                      gobj = nil
                end
	end
	BossInfoSetup()
end

function BossInfoSetup()
	for i,j in pairs(BossInfoData) do
		local obj = getglobal(TEXT(i))	
		if (obj) then		

			if (BossInfoData[i]) then
				obj:Show()
			else
				obj:Hide()
			end
		end
	end
end

-- Target Button

function Target1_OnClick()
	local targetz = UnitName("target")
		if targetz == "Elder Nadox" then
			eldernadox()
			
		elseif targetz == "Prince Taldaram" then
			princetaldaram()
	
        elseif targetz == "Jedoga Shadowseeker" then
			jedogashadowseeker()

        elseif targetz == "Herald Volazi" then
			heraldvolazi()
	
        elseif targetz == "Amanitar" then
			amanitar()

        elseif targetz == "Krik'thir the Gatewatcher" then
			krikthirthegatewatcher()

        elseif targetz == "Hadronox" then
			hadronox()

        elseif targetz == "Anub'arak" then
			anubarak()

        elseif targetz == "Meathook" then
			meathook()

        elseif targetz == "Salramm the Fleshcrafter" then
			salrammthefleshcrafter()
	
        elseif targetz == "Chrono-Lord Epoch" then
			chronolordepoch()

		elseif targetz == "Mal'Ganis" then
			malganis()
	
        elseif targetz == "Infinite Corruptor" then
			infinitecorruptor()

        elseif targetz == "Trollgore" then
			trollgore()

        elseif targetz == "Novos the Summoner" then
			novosthesummoner()

        elseif targetz == "King Dred" then
			kingdred()
	
		elseif targetz == "The Prophet Tharon'ja" then
			theprophettharonja()

        elseif targetz == "Bronjahn" then
			bronjahn()

        elseif targetz == "Devourer of Souls" then
			devourerofsouls()

        elseif targetz == "Slad'ran" then
			sladran()

        elseif targetz == "Drakkari Colossus" then
			drakkaricolossus()
	
        elseif targetz == "Moorabi" then
			moorabi()

		elseif targetz == "Gal'darah" then
			galdarah()

        elseif targetz == "Eck the Ferocious" then
			ecktheferocious()

        elseif targetz == "General Bjarngrim" then
			generalbjarngrim()

        elseif targetz == "Volkhan" then
			volkhan()

        elseif targetz == "Ionar" then
			ionar()

		elseif targetz == "Loken" then
			loken()

        elseif targetz == "Falric" then
			falric()

        elseif targetz == "Marwyn" then
			marwyn()

        elseif targetz == "The Lich King" then
			thelichking()

        elseif targetz == "Maiden of Grief" then
			maidenofgrief()

        elseif targetz == "Krystallus" then
			krystallus()

        elseif targetz == "Tribunal Chest" then
			tribunalchest()

		elseif targetz == "Sjonnir The Ironshaper" then
			sjonnirtheironshaper()

        elseif targetz == "Grand Magus Telestra" then
			grandmagustelestra()

        elseif targetz == "Anomalus" then
			anomalus()

        elseif targetz == "Ormorok the Tree-Shaper" then
			ormorokthetreeshaper()

		elseif targetz == "Keristrasza" then
			keristrasza()

        elseif targetz == "Commander Stoutbeard" then
			commanderstoutbeardkolurg()

		elseif targetz == "Commander Kolurg" then
			commanderstoutbeardkolurg()

        elseif targetz == "Drakos the Interrogator" then
			drakostheinterrogator()
			
        elseif targetz == "Varos Cloudstrider" then
			varoscloudstrider()

        elseif targetz == "Mage-Lord Urom" then
			magelordurom()

		elseif targetz == "Ley-Guardian Eregos" then
			leyguardianeregos()

        elseif targetz == "Forgemaster Garfrost" then
			forgemastergarfrost()

        elseif targetz == "Krick" then
			ickkrick()

        elseif targetz == "Scourgelord Tyrannus" then
			scourgelordtyrannus()

        elseif targetz == "Marshal Jacob Alerius" then
			grandchampions()

        elseif targetz == "Ambrose Boltspark" then
			grandchampions()

        elseif targetz == "Colosos" then
			grandchampions()

        elseif targetz == "Jaelyne Evensong" then
			grandchampions()

        elseif targetz == "Lana Stouthammer" then
			grandchampions()

        elseif targetz == "Mokra the Skullcrusher" then
			grandchampions()

        elseif targetz == "Eressea Dawnsinger" then
			grandchampions()

        elseif targetz == "Runok Wildmane" then
			grandchampions()

        elseif targetz == "Zul'tore" then
			grandchampions()

        elseif targetz == "Deathstalker Visceri" then
			grandchampions()
			
        elseif targetz == "Eadric the Pure" then
			eadricthepure()	

        elseif targetz == "Argent Confessor Paletress" then
			argentconfessorpaletress()

		elseif targetz == "The Black Knight" then
			theblackknight()

        elseif targetz == "Prince Keleseth" then
			princekeleseth()

        elseif targetz == "Skarvald the Constructor" then
			skarvalddalronn()

		elseif targetz == "Dalronn the Controller" then
			skarvalddalronn()
			
        elseif targetz == "Ingvar the Plunderer" then
			ingvartheplunderer()

        elseif targetz == "Svala Sorrowgrave" then
			svalasorrowgrave()
			
        elseif targetz == "Gortok Palehoof" then
			gortokpalehoof()	

        elseif targetz == "Skadi the Ruthless" then
			skaditheruthless()

		elseif targetz == "King Ymiron" then
			kingymiron()

        elseif targetz == "Erekem" then
			erekem()
			
        elseif targetz == "Moragg" then
			moragg()

        elseif targetz == "Ichoron" then
			ichoron()

		elseif targetz == "Xevozz" then
			xevozz()

		elseif targetz == "Lavanthor" then
			lavanthor()

        elseif targetz == "Zuramat the Obliterator" then
			zuramattheobliterator()

		elseif targetz == "Cyanigosa" then
			cyanigosa()
	end
end

-- Click WOTLK Instance Button
function Instance_OnClick() 
       ToggleDropDownMenu(1, nil, BossInfoMenu, Instance, 0, 0);
end

-- Click Cataclysm Button

function Instancecat_OnClick()
		ToggleDropDownMenu(1, nil, BossInfoMenuCat, Instance, -100, 0);
end

--Boss Info Menu WOTLK

local BossInfoMenu = CreateFrame("Frame", "BossInfoMenu")
BossInfoMenu:SetPoint("CENTER", 19, -20) 
BossInfoMenu.displayMode = "MENU"
BossInfoMenu.info = {}
BossInfoMenu.UncheckHack = function(dropdownbutton)
    _G[dropdownbutton:GetName().."Check"]:Hide()
end
BossInfoMenu.HideMenu = function()
    if UIDROPDOWNMENU_OPEN_MENU == BossInfoMenu then
        CloseDropDownMenus()
    end
end


-- Main Menu
BossInfoMenu.initialize = function(self, level)
    if not level then return end
    local info = self.info
    wipe(info)
    if level == 1 then
        info.isTitle = 1
        info.text = "Instance"
        info.notCheckable = 1
        UIDropDownMenu_AddButton(info, level)

        info.keepShownOnClick = 1
        info.disabled = nil
        info.isTitle = nil
        info.notCheckable = 1

        info.text = "Ahnkahet: The Old Kingdom"
        info.func = self.UncheckHack
        info.hasArrow = 1
        info.value = "submenu1"
        UIDropDownMenu_AddButton(info, level)

        info.text = "Azjol-Nerub"
        info.value = "submenu2"
        UIDropDownMenu_AddButton(info, level)
		
		info.text = "Culling of Stratholme"
        info.value = "submenu3"
        UIDropDownMenu_AddButton(info, level)
		
		info.text = "Drak'Tharon Keep"
        info.value = "submenu4"
        UIDropDownMenu_AddButton(info, level)

		info.text = "Forge of Souls"
        info.value = "submenu5"
        UIDropDownMenu_AddButton(info, level)

		info.text = "Gundrak"
        info.value = "submenu6"
        UIDropDownMenu_AddButton(info, level)

		info.text = "Halls of Lightning"
        info.value = "submenu7"
        UIDropDownMenu_AddButton(info, level)

		info.text = "Halls of Reflection"
        info.value = "submenu8"
        UIDropDownMenu_AddButton(info, level)

		info.text = "Halls of Stone"
        info.value = "submenu9"
        UIDropDownMenu_AddButton(info, level)
		
		info.text = "Nexus"
        info.value = "submenu10"
        UIDropDownMenu_AddButton(info, level)
		
		info.text = "Oculus"
        info.value = "submenu11"
        UIDropDownMenu_AddButton(info, level)
		
		info.text = "Pit of Saron"
        info.value = "submenu12"
        UIDropDownMenu_AddButton(info, level)
		
		info.text = "Trial of the Champion"
        info.value = "submenu13"
        UIDropDownMenu_AddButton(info, level)
		
		info.text = "Utgarde Keep"
        info.value = "submenu14"
        UIDropDownMenu_AddButton(info, level)
		
		info.text = "Utgarde Pinnacle"
        info.value = "submenu15"
        UIDropDownMenu_AddButton(info, level)
		
		info.text = "Violet Hold"
        info.value = "submenu16"
        UIDropDownMenu_AddButton(info, level)		
		
        -- Close menu item
        info.hasArrow     = nil
        info.value        = nil
        info.notCheckable = 1
        info.text         = CLOSE
        info.func         = self.HideMenu
        UIDropDownMenu_AddButton(info, level)
		
    elseif level == 2 then
        if UIDROPDOWNMENU_MENU_VALUE == "submenu1" then
            info.text = "Elder Nadox"
			info.func = eldernadox
            UIDropDownMenu_AddButton(info, level)

            info.text = "Prince Taldaram"
			info.func = princetaldaram
            UIDropDownMenu_AddButton(info, level)
			
            info.text = "Jedoga Shadowseeker"
			info.func = jedogashadowseeker
            UIDropDownMenu_AddButton(info, level)
			
            info.text = "Herald Volazi"
			info.func = heraldvolazi
            UIDropDownMenu_AddButton(info, level)
			
            info.text = "Amanitar (Heroic)"
			info.func = amanitar
            UIDropDownMenu_AddButton(info, level)

        elseif UIDROPDOWNMENU_MENU_VALUE == "submenu2" then
            info.text = "Krik'thir the Gatewatcher"
			info.func = krikthirthegatewatcher			
            UIDropDownMenu_AddButton(info, level)

            info.text = "Hadronox"
			info.func = hadronox			
            UIDropDownMenu_AddButton(info, level)
			
            info.text = "Anub'arak"
			info.func = anubarak			
            UIDropDownMenu_AddButton(info, level)

		elseif UIDROPDOWNMENU_MENU_VALUE == "submenu3" then
            info.text = "Meathook"
			info.func = meathook			
            UIDropDownMenu_AddButton(info, level)

            info.text = "Salramm the Fleshcrafter"
			info.func = salrammthefleshcrafter			
            UIDropDownMenu_AddButton(info, level)
			
            info.text = "Chrono-Lord Epoch"
			info.func = chronolordepoch			
            UIDropDownMenu_AddButton(info, level)
			
			info.text = "Mal'Ganis"
			info.func = malganis			
            UIDropDownMenu_AddButton(info, level)
			
            info.text = "Infinite Corruptor (Heroic)"
			info.func = infinitecorruptor			
            UIDropDownMenu_AddButton(info, level)
			
		elseif UIDROPDOWNMENU_MENU_VALUE == "submenu4" then
            info.text = "Trollgore"
			info.func = trollgore			
            UIDropDownMenu_AddButton(info, level)

            info.text = "Novos the Summoner"
			info.func = novosthesummoner			
            UIDropDownMenu_AddButton(info, level)
			
            info.text = "King Dred"
			info.func = kingdred			
            UIDropDownMenu_AddButton(info, level)
			
			info.text = "The Prophet Tharon'ja"
			info.func = theprophettharonja
			UIDropDownMenu_AddButton(info, level)

		elseif UIDROPDOWNMENU_MENU_VALUE == "submenu5" then
            info.text = "Bronjahn"
			info.func = bronjahn			
            UIDropDownMenu_AddButton(info, level)

            info.text = "Devourer of Souls"
			info.func = devourerofsouls
            UIDropDownMenu_AddButton(info, level)
			
		elseif UIDROPDOWNMENU_MENU_VALUE == "submenu6" then
            info.text = "Slad'ran"
			info.func = sladran			
            UIDropDownMenu_AddButton(info, level)

            info.text = "Drakkari Colossus"
			info.func = drakkaricolossus			
            UIDropDownMenu_AddButton(info, level)
			
            info.text = "Moorabi"
			info.func = moorabi			
            UIDropDownMenu_AddButton(info, level)
			
			info.text = "Gal'darah"
			info.func = galdarah
            UIDropDownMenu_AddButton(info, level)
			
            info.text = "Eck the Ferocious (Heroic)"
			info.func = ecktheferocious			
            UIDropDownMenu_AddButton(info, level)
			
		elseif UIDROPDOWNMENU_MENU_VALUE == "submenu7" then
            info.text = "General Bjarngrim"
			info.func = generalbjarngrim			
            UIDropDownMenu_AddButton(info, level)

            info.text = "Volkhan"
			info.func = volkhan			
            UIDropDownMenu_AddButton(info, level)
			
            info.text = "Ionar"
			info.func = ionar			
            UIDropDownMenu_AddButton(info, level)
			
			info.text = "Loken"
			info.func = loken
            UIDropDownMenu_AddButton(info, level)

		elseif UIDROPDOWNMENU_MENU_VALUE == "submenu8" then
            info.text = "Falric"
			info.func = falric			
            UIDropDownMenu_AddButton(info, level)

            info.text = "Marwyn"
			info.func = marwyn			
            UIDropDownMenu_AddButton(info, level)
			
            info.text = "The Lich King"
			info.func = thelichking
            UIDropDownMenu_AddButton(info, level)
			
		elseif UIDROPDOWNMENU_MENU_VALUE == "submenu9" then
            info.text = "Maiden of Grief"
			info.func = maidenofgrief			
            UIDropDownMenu_AddButton(info, level)

            info.text = "Krystallus"
			info.func = krystallus	
            UIDropDownMenu_AddButton(info, level)
			
            info.text = "Tribunal Chest"
			info.func = tribunalchest
            UIDropDownMenu_AddButton(info, level)
			
			info.text = "Sjonnir The Ironshaper"
			info.func = sjonnirtheironshaper
            UIDropDownMenu_AddButton(info, level)
			
		elseif UIDROPDOWNMENU_MENU_VALUE == "submenu10" then
            info.text = "Grand Magus Telestra"
			info.func = grandmagustelestra			
            UIDropDownMenu_AddButton(info, level)

            info.text = "Anomalus"
			info.func = anomalus			
            UIDropDownMenu_AddButton(info, level)
			
            info.text = "Ormorok the Tree-Shaper"
			info.func = ormorokthetreeshaper
            UIDropDownMenu_AddButton(info, level)
			
			info.text = "Keristrasza"
			info.func = keristrasza
            UIDropDownMenu_AddButton(info, level)
			
            info.text = "Commander Stoutbeard / Commander Kolurg (Heroic)"
			info.func = commanderstoutbeardkolurg
            UIDropDownMenu_AddButton(info, level)
			
		elseif UIDROPDOWNMENU_MENU_VALUE == "submenu11" then
            info.text = "Drakos the Interrogator"
			info.func = drakostheinterrogator			
            UIDropDownMenu_AddButton(info, level)

            info.text = "Varos Cloudstrider"
			info.func = varoscloudstrider			
            UIDropDownMenu_AddButton(info, level)
			
            info.text = "Mage-Lord Urom"
			info.func = magelordurom
            UIDropDownMenu_AddButton(info, level)
			
			info.text = "Ley-Guardian Eregos"
			info.func = leyguardianeregos
            UIDropDownMenu_AddButton(info, level)
			
		elseif UIDROPDOWNMENU_MENU_VALUE == "submenu12" then
            info.text = "Forgemaster Garfrost"
			info.func = forgemastergarfrost
            UIDropDownMenu_AddButton(info, level)

            info.text = "Ick & Krick"
			info.func = ickkrick			
            UIDropDownMenu_AddButton(info, level)
			
            info.text = "Scourgelord Tyrannus"
			info.func = scourgelordtyrannus
            UIDropDownMenu_AddButton(info, level)
			
		elseif UIDROPDOWNMENU_MENU_VALUE == "submenu13" then
            info.text = "Grand Champions"
			info.func = grandchampions			
            UIDropDownMenu_AddButton(info, level)

            info.text = "Eadric the Pure"
			info.func = eadricthepure			
            UIDropDownMenu_AddButton(info, level)
			
            info.text = "Argent Confessor Paletress"
			info.func = argentconfessorpaletress
            UIDropDownMenu_AddButton(info, level)
			
			info.text = "The Black Knight"
			info.func = theblackknight
            UIDropDownMenu_AddButton(info, level)
			
		elseif UIDROPDOWNMENU_MENU_VALUE == "submenu14" then
            info.text = "Prince Keleseth"
			info.func = princekeleseth			
            UIDropDownMenu_AddButton(info, level)

            info.text = "Skarvald the Constructor / Dalronn the Controller"
			info.func = skarvalddalronn			
            UIDropDownMenu_AddButton(info, level)
			
            info.text = "Ingvar the Plunderer"
			info.func = ingvartheplunderer
            UIDropDownMenu_AddButton(info, level)
			
		elseif UIDROPDOWNMENU_MENU_VALUE == "submenu15" then
            info.text = "Svala Sorrowgrave"
			info.func = svalasorrowgrave
            UIDropDownMenu_AddButton(info, level)

            info.text = "Gortok Palehoof"
			info.func = gortokpalehoof			
            UIDropDownMenu_AddButton(info, level)
			
            info.text = "Skadi the Ruthless"
			info.func = skaditheruthless
            UIDropDownMenu_AddButton(info, level)
			
			info.text = "King Ymiron"
			info.func = kingymiron
            UIDropDownMenu_AddButton(info, level)
			
		elseif UIDROPDOWNMENU_MENU_VALUE == "submenu16" then
            info.text = "Erekem"
			info.func = erekem
            UIDropDownMenu_AddButton(info, level)

            info.text = "Moragg"
			info.func = moragg
            UIDropDownMenu_AddButton(info, level)
			
            info.text = "Ichoron"
			info.func = ichoron
            UIDropDownMenu_AddButton(info, level)
			
			info.text = "Xevozz"
			info.func = xevozz
            UIDropDownMenu_AddButton(info, level)
			
			info.text = "Lavanthor"
			info.func = lavanthor
            UIDropDownMenu_AddButton(info, level)
			
            info.text = "Zuramat the Obliterator"
			info.func = zuramattheobliterator
            UIDropDownMenu_AddButton(info, level)
			
			info.text = "Cyanigosa"
			info.func = cyanigosa
            UIDropDownMenu_AddButton(info, level)
		end
		
    end
end

-- Output Functions

-- The Old Kingdom

function eldernadox()
	HideStuff()
	FontString1:SetText("Tank: |n |n This boss can be tanked where he stands. At 50% he will summon a Ahn'kahar Guardian. Until this Guardian is dead the boss and his swarm are immune to damage. Be ready to regain aggro on the boss and swarm when the Guardian dies.")
	FontString2:SetText("DPS: |n |n Attack Boss until 50% at which point a Ahn'kahar Guardian appears. Switch DPS to the Guardian. The boss and swarm are immune to all damage until the Guardian is dead.")
	FontString3:SetText("Healer: |n |n When the boss and swarm go immune at 50%; your heals will still generate threat. Make sure you throw extra heals on yourself as the swarm will probably be attacking you.")
	FontString8:SetText("The Old Kingdom")
	FontString9:SetText("Elder Nadox")
	CloseDropDownMenus()
end

function princetaldaram()
	HideStuff()
	FontString1:SetText("Tank: |n |n Prince Taldaram can be tanked anywhere on this platform. Make sure you still have aggro when the Embrace of the Vampyr is over.")
	FontString2:SetText("DPS: |n |n Tank and Spank. When he vanishes and reappears on a player, DPS him quickly to free your party memeber. If you run from the fire orbs, don't run too far from your healer. It is usually better to just stand and take the damage.")
	FontString3:SetText("Healer: |n |n When he vanishes and reappears on a player; that player will require extra heals as their life is drained. Be ready with a group heal when the fire orbs appear.")
	FontString8:SetText("The Old Kingdom")
	FontString9:SetText("Prince Taldaram")
	CloseDropDownMenus()
end

function jedogashadowseeker()
	HideStuff()
	FontString1:SetText("Tank: |n |n Tank and Spank. At 50%, she calls a volunteer to be safrificed. If the volunteer is not killed before it reaches her; her damage is increased by 200%. She also cast AOE lightning on the ground; dont stand in it.")
	FontString2:SetText("DPS: |n |n Tank and Spank. At 50%, DPS down Volunteer quickly to avoid her 200% damage increase. Don't stand in AOE lighting she casts on the ground")
	FontString3:SetText("Healer: |n |n Healing is straight forward. If the volunteer is not killed at 50%, be ready to throw extra heals.")
	FontString8:SetText("The Old Kingdom")
	FontString9:SetText("Jedoga Shadowseeker")
	CloseDropDownMenus()
end

function heraldvolazi()
	HideStuff()
	FontString1:SetText("Tank: |n |n At 66% and 33% he drives players insane, forcing them to fight copys of themselves alone. If you can't kill them, just hold them until the DPS finished theirs.")
	FontString2:SetText("DPS: |n |n At 66% and 33% he drives players insane, forcing them to fight copys of themselves alone. DPS them down quickly and then help the tank and healer with theirs.")
	FontString3:SetText("Healer: |n |n At 66% and 33% he drives players insane, forcing them to fight copys of themselves alone. If you can't kill them, just heal yourself through the attacks until the DPS are done with theirs.")
	FontString8:SetText("The Old Kingdom")
	FontString9:SetText("Herald Volazi")
	CloseDropDownMenus()
end

function amanitar()
	HideStuff()
	FontString1:SetText("Tank: |n |n Avoid/Kill green poison mushrooms. When the boss casts Mini; stand next to and kill a healthy mushroom. If you are not mini and you kill a Healthy Mushroom you get 100% increased damage")
	FontString2:SetText("DPS: |n |n Avoid/Kill green poison mushrooms. When the boss casts Mini; stand next to and kill a healthy mushroom. If you are not mini and you kill a Healthy Mushroom you get 100% increased damage")
	FontString3:SetText("Healer: |n |n Avoid/Kill green poison mushrooms. When the boss casts Mini; stand next to and kill a healthy mushroom. If you are not mini and you kill a Healthy Mushroom you get 100% increased damage")
	FontString8:SetText("The Old Kingdom")
	FontString9:SetText("Amanitar")
	CloseDropDownMenus()
end

-- Azjol-Nerub

function krikthirthegatewatcher()
	HideStuff()
	FontString1:SetText("Tank: |n |n There are 3 waves with minibosses before the boss. Pull them back so you only have one group at a time.")
	FontString2:SetText("DPS: |n |n Break any Web Wraps that appear on other DPS or Healer.")
	FontString3:SetText("Healer: |n |n During the 3 waves there is a lot of poison on everyone. Extra heals may be required to get through it.")
	FontString8:SetText("Azjol-Nerub")
	FontString9:SetText("Krikthir The Gate Watcher")
	CloseDropDownMenus()
end

function hadronox()
	HideStuff()
	FontString1:SetText("Tank: |n |n Tank and Spank. Attack him after he has killed all his adds. Don't stand in Green Poison Cloud.")
	FontString2:SetText("DPS: |n |n Tank and Spank. Don't stand in Green Poison Cloud")
	FontString3:SetText("Healer: |n |n Tank and Spank. If you are able to cleanse poison this will help reduce the amount of healing you need to do. Don't stand in Green Poison Cloud.")
	FontString8:SetText("Azjol-Nerub")
	FontString9:SetText("Jedoga Shadowseeker")
	CloseDropDownMenus()
end

function anubarak()
	HideStuff()
	FontString1:SetText("Tank: |n |n Make sure all players are in the circle before starting. When the boss is casting Pound, back up or run through the boss to avoid the Pound. Do not run towards healer as sometimes he will turn and Pound. During his three undergound phases, stand near the entrace to pickup the adds. Sand clouds on the ground will soon shoot up spikes; Move away.")
	FontString2:SetText("DPS: |n |n Stand far away fromt he boss to avoid accidental Pound. Keep en eye on the healer for little bug that might be on them. Kill poison adds first. Sand clouds on the ground will soon shoot up spikes; Move away.")
	FontString3:SetText("Healer: |n |n Stand far away from the boss to avoid accidental Pound. Cleansing poison from adds makes healing easier. Sand clouds on the ground will soon shoot up spikes; Move away.")
	FontString8:SetText("Azjol-Nerub")
	FontString9:SetText("Anub'arak")
	CloseDropDownMenus()
end

-- Culling of Stratholme

function meathook()
	HideStuff()
	FontString1:SetText("Tank: |n |n Tank and Spank.")
	FontString2:SetText("DPS: |n |n Tank and Spank.")
	FontString3:SetText("Healer: |n |n Tank and Spank.")
	FontString8:SetText("Culling of Stratholme")
	FontString9:SetText("Meathook")
	CloseDropDownMenus()
end

function salrammthefleshcrafter()
	HideStuff()
	FontString1:SetText("Tank: |n |n Boss will randomly summon two Ghouls. Make sure you pick them up. He will also ramdomnly explode the Ghouls")
	FontString2:SetText("DPS: |n |n Focus on the boss as he will randomly explode his Ghouls. Alternativly, quickly kill the Ghouls so he cannot explode them.")
	FontString3:SetText("Healer: |n |n Be ready with a group heal for when a Ghoul explodes.")
	FontString8:SetText("Culling of Stratholme")
	FontString9:SetText("Salramm the Fleshcrafter")
	CloseDropDownMenus()
end

function chronolordepoch()
	HideStuff()
	FontString1:SetText("Tank: |n |n Tank and Spank. The boss will randomly run around and hit other players, but will return to the tank.")
	FontString2:SetText("DPS: |n |n Tank and Spank.")
	FontString3:SetText("Healer: |n |n Try to keep all players near 100% health for this fight. During the Time Warp, he will hit one player 3 times in quick succession. Also during the Time Warp, your casting speed is reduced by 70%. An instant heal on the player he chooses is usually better then a cast.")
	FontString8:SetText("Culling of Stratholme")
	FontString9:SetText("Chrono-Lord Epoch")
	CloseDropDownMenus()
end

function malganis()
	HideStuff()
	FontString1:SetText("Tank: |n |n Turn his away from the other players. He does a Swarm in a Frontal Cone.")
	FontString2:SetText("DPS: |n |n Stand behind the boss. Boss casts random Sleep; lasts 10 seconds. Dispell it if you can.")
	FontString3:SetText("Healer: |n |n Stand behind the boss. Use HOTs if you have them incase you are put to sleep fot 10 seconds. Dispell Sleep if able.")
	FontString8:SetText("Culling of Stratholme")
	FontString9:SetText("Mal'Ganis")
	CloseDropDownMenus()
end

function infinitecorruptor()
	HideStuff()
	FontString1:SetText("Tank: |n |n Tank and Spank.")
	FontString2:SetText("DPS: |n |n Tank and Spank.")
	FontString3:SetText("Healer: |n |n Tank and Spank.")
	FontString8:SetText("Culling of Stratholme")
	FontString9:SetText("Infinite Corrupter")
	CloseDropDownMenus()
end

-- Drak'Tharon Keep

function trollgore()
	HideStuff()
	FontString1:SetText("Tank: |n |n Tank and Spank. Adds will run in randomly. Shortly after they reach the boss he will explode them")
	FontString2:SetText("DPS: |n |n Tank and Spank. This is a DPS race. The longer this boss lives the harder he hits. Adds will explode, so stay away from them or quickly kill them.")
	FontString3:SetText("Healer: |n |n Tank and Spank. The longer the boss lives the harder he hits. Adds will explode and hurt anyone near the boss. Melee DPS may need extra heals.")
	FontString8:SetText("Drak'Tharon Keep")
	FontString9:SetText("Trollgore")
	CloseDropDownMenus()
end

function novosthesummoner()
	HideStuff()
	FontString1:SetText("Tank: |n |n Phase 1: Stand at the bottom of the stairs. Tank the 4 adds. |n Phase 2: Tank the boss. He randomly spawns add, make sure to pick them up. Dont stand in the Blizzard.")
	FontString2:SetText("DPS: |n |n Phase 1: One DPS goes halfway up the stairs to kill the adds. Dont go too far up or you might Line of Sight the healer. |n Phase 2: Dont stand in the Blizzard.")
	FontString3:SetText("Healer: |n |n Phase 1: Stand at the bottom the stairs. You should be able to reach Tank and DPS upstairs. |n Phase 2: Don't stand in the Blizzard")
	FontString8:SetText("Drak'Tharon Keep")
	FontString9:SetText("Novos the Summoner")
	CloseDropDownMenus()
end

function kingdred()
	HideStuff()
	FontString1:SetText("Tank: |n |n Tank and Spank with Fear. Pickup adds if boss calls them.")
	FontString2:SetText("DPS: |n |n Tank and Spank with Fear.")
	FontString3:SetText("Healer: |n |n This fight is healing intensive. When the boss casts Grievous Bite on the Tank; The tank must be healed to full(100%) to remove it.")
	FontString8:SetText("Drak'Tharon Keep")
	FontString9:SetText("King Dred")
	CloseDropDownMenus()
end

function theprophettharonja()
	HideStuff()
	FontString1:SetText("Tank: |n |n Phase 1: Tank and Spank. Avoid AOE poison. |n Phase 2: Put on Bone Armer(#3), Taunt boss every time it's up(#2), Attack(#1), Heal Yourself(#4).")
	FontString2:SetText("DPS: |n |n Phase 1: Tank and Spank. Avoid AOE poison. |n Phase 2: Do Not Press #2. Put on Bone Armer(#3), Attack(#1), Heal Yourself(#4).")
	FontString3:SetText("Healer: |n |n Phase 1: Tank and Spank. Avoid AOE poison. |n Phase 2: Do Not Press #2. Put on Bone Armer(#3), Attack(#1), Heal Yourself(#4).")
	FontString8:SetText("Drak'Tharon Keep")
	FontString9:SetText("The Prophet Tharon'ja")
	CloseDropDownMenus()
end

-- Forge of Souls

function bronjahn()
	HideStuff()
	FontString1:SetText("Tank: |n |n Phase 1: When Corrupted Soul Fragments spawn, pull the boss away from them. |n Phase 2: Tank and Spank in the middle")
	FontString2:SetText("DPS: |n |n Phase 1: If you are chosen to spawn the Corrupted Soul Fragments, run away from the boss. Once it spawns kill the fragment before it reaches the boss or it heals him. | Phase 2: Fight in the middle.")
	FontString3:SetText("Healer: |n |n Phase 1: Regular healing. |n Phase 2: Players that are feared out of the middle take lots of damage. Be ready with big heals. HOT yourself(if you can) in case you are feared.")
	FontString8:SetText("Forge of Souls")
	FontString9:SetText("Bronjahn")
	CloseDropDownMenus()
end

function devourerofsouls()
	HideStuff()
	FontString1:SetText("Tank: |n |n Face boss away from the group. When the boss jumps to a player, wait for it to come back to you to avoid standing in Purple Circles. Stop Damage on Mirrored Souls. Avoid Ghosts. Do not stand in front when he casts Wailing Souls(stay behind).")
	FontString2:SetText("DPS: |n |n If the boss jumps to you, run out of the Purple Circle. Stop DPS owhen he casts Mirrored Souls. Do NOT stand in front of him when he casts Wailing Souls(stay behind).")
	FontString3:SetText("Healer: |n |n If the boss jumps to you, run out of the Purple Circle. Extra heals on whoevers Soul he Mirrors. Do NOT stand in front of him when he casts Wailing Souls(stay behind).")
	FontString8:SetText("Forge of Souls")
	FontString9:SetText("Devourer of Souls")
	CloseDropDownMenus()
end

-- Gundrak

function sladran()
	HideStuff()
	FontString1:SetText("Tank: |n |n Tank him at the bottom of the stairs. Pickup snakes that come in from left and right.")
	FontString2:SetText("DPS: |n |n This is a DPS Race. After Tank pulls, run up on Bosses platform. Attack Snake Wraps that appear on party memebers. When the boss casts Poison Nova, try to Line of Sight yourself to avoid it.")
	FontString3:SetText("Healer: |n |n This is a Healing Intensive Fight. After Tank pulls, run up on Bosses platform. When the boss casts Poison Nova, try to Line of Sight yourself to avoid it.")
	FontString8:SetText("Gundrak")
	FontString9:SetText("Saladran")
	CloseDropDownMenus()
end

function drakkaricolossus()
	HideStuff()
	FontString1:SetText("Tank: |n |n This is a two part fight. When the Colossus reaches 50% an elemental appears. Fight the elemental to 50%, then back to the Colossus. Repeat. Don't stand in Purple Puddles.")
	FontString2:SetText("DPS: |n |n Allow the tank a moment to gain aggro on the Boss when it changes. Don't stand in the Purple Puddles.")
	FontString3:SetText("Healer: |n |n Don't stand in the Purple Puddles.")
	FontString8:SetText("Gundrak")
	FontString9:SetText("Drakkari Colossus")
	CloseDropDownMenus()
end

function moorabi()
	HideStuff()
	FontString1:SetText("Tank: |n |n Tank and Spank.")
	FontString2:SetText("DPS: |n |n Tank and Spank. Interrupt Transformation when he casts it.")
	FontString3:SetText("Healer: |n |n Tank and Spank.")
	FontString8:SetText("Gundrak")
	FontString9:SetText("Moorabi")
	CloseDropDownMenus()
end

function galdarah()
	HideStuff()
	FontString1:SetText("Tank: |n |n Tank and Spank. Undergeared Tanks should back out during Bosses Whirlwind. Tank him with your back to a wall to avoid knockback.")
	FontString2:SetText("DPS: |n |n Melee DPS should back out during Bosses Whirlwind.")
	FontString3:SetText("Healer: |n |n Tank and Melee DPS will need extra heals during the Bosses Whirlwind. Players who get hooked on the Bosses Horn will require extra healing. ")
	FontString8:SetText("Gundrak")
	FontString9:SetText("Galdarah")
	CloseDropDownMenus()
end

function ecktheferocious()
	HideStuff()
	FontString1:SetText("Tank: |n |n Turn Eck away from the party(unless going for the achievement). When he springs to another player he drops Aggro. Be ready with a Taunt to get him back.")
	FontString2:SetText("DPS: |n |n Tank and Spank.")
	FontString3:SetText("Healer: |n |n Tank and Spank. The player Eck springs to may need extra heals.")
	FontString8:SetText("Gundrak")
	FontString9:SetText("Eck the Ferocious")
	CloseDropDownMenus()
end

-- Halls of Lightning

function generalbjarngrim()
	HideStuff()
	FontString1:SetText("Tank: |n |n Boss does less damage if pulled when he doesnt have an electrical charge. Turn him away from the party.")
	FontString2:SetText("DPS: |n |n Kill adds first as they heal the boss. Melee DPS should back out during Whirlwind.")
	FontString3:SetText("Healer: |n |n Tank and Melee DPS will need extra heals during the bosses whirlwind.")
	FontString8:SetText("Halls of Lightning")
	FontString9:SetText("General Bjarngrim")
	CloseDropDownMenus()
end

function volkhan()
	HideStuff()
	FontString1:SetText("Tank: |n |n Tank and Spank. Hold adds if you can. Dont run after them though, they don't hit hard.")
	FontString2:SetText("DPS: |n |n Tank and Spank.")
	FontString3:SetText("Healer: |n |n Tank and Spank.")
	FontString8:SetText("Halls of Lightning")
	FontString9:SetText("Volkhan")
	CloseDropDownMenus()
end

function ionar()
	HideStuff()
	FontString1:SetText("Tank: |n |n Tank and Spank until 50%, when he split himself run away until he reforms. Then resume Tank and Spank.")
	FontString2:SetText("DPS: |n |n Tank and Spank until 50%, when he split himself run away until he reforms. Then resume Tank and Spank. If the boss casts Static Overload on you, distance yourself fromt he rest of the group till it ends.")
	FontString3:SetText("Healer: |n |n Tank and Spank until 50%, when he split himself run away until he reforms. Then resume Tank and Spank.")
	FontString8:SetText("Halls of Lightning")
	FontString9:SetText("Ionar")
	CloseDropDownMenus()
end

function loken()
	HideStuff()
	FontString1:SetText("Tank: |n |n Tank and Spank. Stay Close to Boss. For undergeared groups, run out when Boss casts Lightning Nova and then run back in right away.")
	FontString2:SetText("DPS: |n |n Tank and Spank. Stay Close to Boss. For undergeared groups, run out when Boss casts Lightning Nova and then run back in right away.")
	FontString3:SetText("Healer: |n |n Tank and Spank. Stay Close to Boss. For undergeared groups, run out when Boss casts Lightning Nova and then run back in right away.")
	FontString8:SetText("Halls of Lightning")
	FontString9:SetText("Loken")
	CloseDropDownMenus()
end

-- Halls of Reflections

function falric()
	HideStuff()
	FontString1:SetText("Tank: |n |n This boss is the 5th wave out of 10. Tank and Spank.")
	FontString2:SetText("DPS: |n |n Tank and Spank. Dispell debuffs if you can.")
	FontString3:SetText("Healer: |n |n Tank and Spank. Dispell debuffs if you can.")
	FontString8:SetText("Halls of Reflections")
	FontString9:SetText("Falric")
	CloseDropDownMenus()
end

function marwyn()
	HideStuff()
	FontString1:SetText("Tank: |n |n This boss is the 10th wave out of 10. Tank and Spank. Avoid the Well of Corruptions")
	FontString2:SetText("DPS: |n |n Tank and Spank. Avoid the Well of Corruptions")
	FontString3:SetText("Healer: |n |n Tank and Spank. Avoid the Well of Corruptions")
	FontString8:SetText("Halls of Reflections")
	FontString9:SetText("Marwyn")
	CloseDropDownMenus()
end

function thelichking()
	HideStuff()
	FontString1:SetText("Tank: |n |n Tank and Spank. Fight as close to the wall as you can.")
	FontString2:SetText("DPS: |n |n Tank and Spank. Make sure the tank gets aggro on the mobs before firing")
	FontString3:SetText("Healer: |n |n Tank and Spank.")
	FontString8:SetText("Halls of Reflections")
	FontString9:SetText("The Lich King")
	CloseDropDownMenus()
end

--Halls of Stone

function maidenofgrief()
	HideStuff()
	FontString1:SetText("Tank: |n |n Tank and Spank. Don't stand in the Black Circles.")
	FontString2:SetText("DPS: |n |n Tank and Spank. Don't stand in the Black Circles.")
	FontString3:SetText("Healer: |n |n Tank and Spank. Don't stand in the Black Circles. ")
	FontString8:SetText("Halls of Stone")
	FontString9:SetText("Maiden of Grief")
	CloseDropDownMenus()
end

function krystallus()
	HideStuff()
	FontString1:SetText("Tank: |n |n Tank and Spank. Spread out to avoid damage during shatter.")
	FontString2:SetText("DPS: |n |n Tank and Spank. Spread out to avoid damage during shatter.")
	FontString3:SetText("Healer: |n |n Tank and Spank. Spread out to avoid damage during shatter.")
	FontString8:SetText("Halls of Stone")
	FontString9:SetText("Krystallus")
	CloseDropDownMenus()
end

function tribunalchest()
	HideStuff()
	FontString1:SetText("Tank: |n |n Tank the boss at the top of the stairs where the passage is narrow. Do not stand in the purple beam")
	FontString2:SetText("DPS: |n |n Do not stand in the purple beam.")
	FontString3:SetText("Healer: |n |n Do not stand in the purple beam.")
	FontString8:SetText("Halls of Stone")
	FontString9:SetText("Tribunal Chest")
	CloseDropDownMenus()
end

function sjonnirtheironshaper()
	HideStuff()
	FontString1:SetText("Tank: |n |n Tank the boss in the middle of the room or at the bottleneck of the hall. Try to pickup the adds.")
	FontString2:SetText("DPS: |n |n Tank and Spank. Melee DPS may need to run out during Lightning Ring.")
	FontString3:SetText("Healer: |n |n Extra healing may be required during Lightning Ring.")
	FontString8:SetText("Halls of Stone")
	FontString9:SetText("Sjonnir the Ironshaper")
	CloseDropDownMenus()
end

-- Nexus

function grandmagustelestra()
	HideStuff()
	FontString1:SetText("Tank: |n |n At 50% (15% in Heroic mode) pickup 3 mirror images of boss.")
	FontString2:SetText("DPS: |n |n Tank and Spank.")
	FontString3:SetText("Healer: |n |n Extra healing may be required when she splits")
	FontString8:SetText("Nexus")
	FontString9:SetText("Grand Magus Telestra")
	CloseDropDownMenus()
end

function anomalus()
	HideStuff()
	FontString1:SetText("Tank: |n |n Tank and Spank.")
	FontString2:SetText("DPS: |n |n Tank and Spank. Kill chaotic rift at 50%.")
	FontString3:SetText("Healer: |n |n Tank and Spank.")
	FontString8:SetText("Nexus")
	FontString9:SetText("Anomalus")
	CloseDropDownMenus()
end

function ormorokthetreeshaper()
	HideStuff()
	FontString1:SetText("Tank: |n |n Move off glittering crystals before they erupt into spikes. ")
	FontString2:SetText("DPS: |n |n Tank and Spank. Spell DPS, watch out for Spell Reflect.")
	FontString3:SetText("Healer: |n |n Tank and Spank.")
	FontString8:SetText("Nexus")
	FontString9:SetText("Ormorok the Tree-Shaper")
	CloseDropDownMenus()
end

function keristrasza()
	HideStuff()
	FontString1:SetText("Tank: |n |n Jump or move to remove frost stacks. Position boss so no one else is the party is in front or behind the boss.")
	FontString2:SetText("DPS: |n |n Jump or move to remove frost stacks. Do not stand in front or behind the boss.")
	FontString3:SetText("Healer: |n |n Jump or move to remove frost stacks. Extra heals may be needed for party members who don't move to jump to remove stacks. at 25% the boss will enrage. Extra healing may be required.")
	FontString8:SetText("Nexus")
	FontString9:SetText("Keristrasza")
	CloseDropDownMenus()
end

function commanderstoutbeardkolurg()
	HideStuff()
	FontString1:SetText("Tank: |n |n Tank this boss away from your party. Be ready to pickup other mobs if a party member is feared into them.")
	FontString2:SetText("DPS: |n |n Dispell fear if you are able. Kill the healers first. Melee DPS should back out during whirlwind")
	FontString3:SetText("Healer: |n |n Tank and Melee DPS may need extra heals during whirlwind. Extra heals may be required if a party member is feared into another mob.")
	FontString8:SetText("Nexus")
	FontString9:SetText("Stoutbeard/Kolurg")
	CloseDropDownMenus()
end

-- Oculus

function drakostheinterrogator()
	HideStuff()
	FontString1:SetText("Tank: |n |n Tank and Spank.")
	FontString2:SetText("DPS: |n |n Tank and Spank.")
	FontString3:SetText("Healer: |n |n Tank and Spank.")
	FontString8:SetText("Oculus")
	FontString9:SetText("Drakos the Interrogator")
	CloseDropDownMenus()
end

function varoscloudstrider()
	HideStuff()
	FontString1:SetText("Tank: |n |n Tank the boss in the middle. Dont stand in the quarter of the circle with Purple Lasers.")
	FontString2:SetText("DPS: |n |n Dont stand in the quarter of the circle with Purple Lasers.")
	FontString3:SetText("Healer: |n |n Dont stand in the quarter of the circle with Purple Lasers.")
	FontString8:SetText("Oculus")
	FontString9:SetText("Varos Cloudstrider")
	CloseDropDownMenus()
end

function magelordurom()
	HideStuff()
	FontString1:SetText("Tank: |n |n Tank this boss out in the open, away from the Ranged DPS and Healer. Run behind a pillar when the Boss teleports to the middle")
	FontString2:SetText("DPS: |n |n Ranged DPS, stand behind the pillar when attacking. Melee DPS, run behind the pillar when the boss teleports to the middle.")
	FontString3:SetText("Healer: |n |n Tank and Melee DPS will require steady healing as the ground they stand on will turn to ice. Big heals will be required for anyone not hiding behind a pillar during the Bosses Arcane Explosion.")
	FontString8:SetText("Oculus")
	FontString9:SetText("Mage-Lord Urom")
	CloseDropDownMenus()
end

function leyguardianeregos()
	HideStuff()
	FontString1:SetText("Tank: |n |n Red Drake. Use Martyr everytime it is available to protect the other members of your party. Use Evasion to take less damage. Fly away from the boss while he is in a Planar Shift.")
	FontString2:SetText("DPS: |n |n Amber Drake. Channel Temporal Rift until you have 10 stacks on the boss. Then shoot Shock Lance. Use Stop Time when the Boss Enrages. Fly away from the boss while he is in a Planar Shift.")
	FontString3:SetText("Healer: |n |n Emerald Drake. Maintain 3 stacks of Leeching Poison on the boss to regenerate your health. Use Touch of Nighmare on the boss when you have lots of health. Use Dream Funnel on party memeber's drakes to heal them. Don't forget this drains your life.")
	FontString8:SetText("Oculus")
	FontString9:SetText("Ley-Guardian Eregos")
	CloseDropDownMenus()
end

--Pit of Saron

function forgemastergarfrost()
	HideStuff()
	FontString1:SetText("Tank: |n |n Tank the boss in the middle. At 66% and 33% the boss jumps to his forge, run behind the Boulder to remove the stacking debuff.")
	FontString2:SetText("DPS: |n |n Watch out for Boulders being thrown. At 66% and 33% the boss jumps to his forge, run behind the Boulder to remove the stacking debuff.")
	FontString3:SetText("Healer: |n |n Watch out for Boulders being thrown. At 66% and 33% the boss jumps to his forge, run behind the Boulder to remove the stacking debuff. Boulders cause Line of Sight.")
	FontString8:SetText("Pit of Saron")
	FontString9:SetText("Forgemaster Garfrost")
	CloseDropDownMenus()
end

function ickkrick()
	HideStuff()
	FontString1:SetText("Tank: |n |n Avoid green puddles. Run away from Arcane Orbs as they form. If Ick is chasing you, run away until he stops. Run away from the Boss when Poison Nova is cast.")
	FontString2:SetText("DPS: |n |n Avoid green puddles. Run away from Arcane Orbs as they form. If Ick is chasing you, run away until he stops. Run away from the Boss when Poison Nova is cast.")
	FontString3:SetText("Healer: |n |n Avoid green puddles. Run away from Arcane Orbs as they form. If Ick is chasing you, run away until he stops. Run away from the Boss when Poison Nova is cast.")
	FontString8:SetText("Pit of Saron")
	FontString9:SetText("Krick & Ick")
	CloseDropDownMenus()
end

function scourgelordtyrannus()
	HideStuff()
	FontString1:SetText("Tank: |n |n Tank the Boss near the ice patches on the ground. During Unholy Power, the Boss increases his damage bt 100% for 10 seconds. Kite him through the ice.")
	FontString2:SetText("DPS: |n |n Stop DPS when Overlord's Brand is active. Don't stand on the ice. If you are targeted for Hoarfrost, distance yourself from party members so it doesn't spread.")
	FontString3:SetText("Healer: |n |n Do not stand on the ice. If you are targeted for Hoarfrost, distance yourself from party members so it doesn't spread. Extra heals will be required for players affected by Hoarfrost.")
	FontString8:SetText("Pit of Saron")
	FontString9:SetText("Scourgelord Tyrannus")
	CloseDropDownMenus()
end

-- Trial of the Champion

function grandchampions()
	HideStuff()
	FontString1:SetText("Tank: |n |n Fight these bosses where they stand. Mokra(Warrior), Runok(Healer), Deathstalker(Rogue) are the hardest champions to face. Usually kill the healer first.")
	FontString2:SetText("DPS: |n |n All DPS should focus on the same target. Usually the healer need to die first.")
	FontString3:SetText("Healer: |n |n Cleanse poison if you are able. Very healing intensive")
	FontString8:SetText("Trial of the Champion")
	FontString9:SetText("Grand Champions")
	CloseDropDownMenus()
end

function eadricthepure()
	HideStuff()
	FontString1:SetText("Tank: |n |n Tank and Spank. Turn your back on his when he casts Radiance.")
	FontString2:SetText("DPS: |n |n Tank and Spank. Turn your back on his when he casts Radiance.")
	FontString3:SetText("Healer: |n |n Tank and Spank. Turn your back on his when he casts Radiance.")
	FontString8:SetText("Trial of the Champion")
	FontString9:SetText("Eadric the Pure")
	CloseDropDownMenus()
end

function argentconfessorpaletress()
	HideStuff()
	FontString1:SetText("Tank: |n |n At 25%, the Boss will summon a minion. Boss is immune until the minion is dead.")
	FontString2:SetText("DPS: |n |n At 25%, DPS down the Minion as fast as possible. Dispell fear if able.")
	FontString3:SetText("Healer: |n |n At 25%, the fight becomes very healing intensive. The Minion does a lot of damage and fears. Dispell fear if able.")
	FontString8:SetText("Trial of the Champion")
	FontString9:SetText("Argent Confessor Paletress")
	CloseDropDownMenus()
end

function theblackknight()
	HideStuff()
	FontString1:SetText("Tank: |n |n Phase 1: Tank and Spank. Try to hold the add. |n Phase 2: Tank and Spank the Boss. Try to hold all the adds. |n Phase 3: Tank and Spank.")
	FontString2:SetText("DPS: |n |n Phase 1: Tank and Spank. |n Phase 2: Tank and Spank the Boss. Groups with strong DPS and Healer can AOE down the adds and Boss, other shoudl focus on the boss. |n Phase 3: Tank and Spank. DPS race")
	FontString3:SetText("Healer: |n |n Phase 1: Tank and Spank. |n Phase 2: Be ready to heal yourself if your heals pull aggro on adds. |n Phase 3: Healing intensive phase. Everyone will be taking damage.")
	FontString8:SetText("Trial of the Champion")
	FontString9:SetText("The Black Knight")
	CloseDropDownMenus()
end

-- Utgarde Keep

function princekeleseth()
	HideStuff()
	FontString1:SetText("Tank: |n |n Tank and Spank. Pickup adds.")
	FontString2:SetText("DPS: |n |n Tank and Spank. Break ice blocks(or not, for achievement).")
	FontString3:SetText("Healer: |n |n Tank and Spank. Player stuck in Ice Block will require extra heals.")
	FontString8:SetText("Utgarde Keep")
	FontString9:SetText("Prince Keleseth")
	CloseDropDownMenus()
end

function skarvalddalronn()
	HideStuff()
	FontString1:SetText("Tank: |n |n Tank and Spank. Hold both Bosses.")
	FontString2:SetText("DPS: |n |n Tank and Spank. Kill one then the other(Most groups kill the caster first).")
	FontString3:SetText("Healer: |n |n Tank and Spank.")
	FontString8:SetText("Utgarde Keep")
	FontString9:SetText("Skarvald & Dalronn")
	CloseDropDownMenus()
end

function ingvartheplunderer()
	HideStuff()
	FontString1:SetText("Tank: |n |n Phase 1: Tank the Boss where he stands. Don't stand in front of the Boss when he casts Smash. \n Phase 2: Tank and Spank. Don't stand in the Spinning Shadow Axe.")
	FontString2:SetText("DPS: |n |n Phase 1: Tank and Spank. |n Phase 2: Tank and Spank. Melee DPS should run out on Dark Smash.")
	FontString3:SetText("Healer: |n |n Phase 1: Tank and Spank. |n Phase 2: Tank and Melee DPS will need extra heals after Dark Smash")
	FontString8:SetText("Utgarde Keep")
	FontString9:SetText("Ingvar the Plunderer")
	CloseDropDownMenus()
end

-- Utgarde Pinnacle

function svalasorrowgrave()
	HideStuff()
	FontString1:SetText("Tank: |n |n Tank and Spank. Kill adds when they appear to rescue party member.")
	FontString2:SetText("DPS: |n |n Tank and Spank. Kill adds when they appear to rescue party member.")
	FontString3:SetText("Healer: |n |n Tank and Spank.")
	FontString8:SetText("Utgarde Pinnacle")
	FontString9:SetText("Svala Sorrowgrave")
	CloseDropDownMenus()
end

function gortokpalehoof()
	HideStuff()
	FontString1:SetText("Tank: |n |n Tank and Spank. 4 MiniBosses and then the Main")
	FontString2:SetText("DPS: |n |n Tank and Spank. 4 MiniBosses and then the Main")
	FontString3:SetText("Healer: |n |n Tank and Spank. 4 MiniBosses and then the Main")
	FontString8:SetText("Utgarde Pinnacle")
	FontString9:SetText("Gortok Palehoof")
	CloseDropDownMenus()
end

function skaditheruthless()
	HideStuff()
	FontString1:SetText("Tank: |n |n Run halfway up the hall gathering adds. Once they are dead, run to the end for the rest. Avoid Frozen White Ground.")
	FontString2:SetText("DPS: |n |n Tank and Spank. Pickup Harpoons that are dropped. When you get to the end, use Harpoons on launchers when you see the emote 'Grauf is within range of the harpoon launchers!'. Avoid Frozen White Ground. Run away from Boss when he spins.")
	FontString3:SetText("Healer: |n |n Tank and Spank. Avoid Frozen White Ground. Run away from Boss when he spins.")
	FontString8:SetText("Utgarde Pinnacle")
	FontString9:SetText("Skadi the Ruthless")
	CloseDropDownMenus()
end

function kingymiron()
	HideStuff()
	FontString1:SetText("Tank: |n |n Tank and Spank.")
	FontString2:SetText("DPS: |n |n Tank and Spank.")
	FontString3:SetText("Healer: |n |n Tank and Spank.")
	FontString8:SetText("Utgarde Pinnacle")
	FontString9:SetText("King Ymiron")
	CloseDropDownMenus()
end

-- Violet Hold

function erekem()
	HideStuff()
	FontString1:SetText("Tank: |n |n Tank and Spank. Tank the Boss and adds where they appear.")
	FontString2:SetText("DPS: |n |n Tank and Spank")
	FontString3:SetText("Healer: |n |n Tank and Spank")
	FontString8:SetText("Violet Hold")
	FontString9:SetText("Erekem")
	CloseDropDownMenus()
end

function moragg()
	HideStuff()
	FontString1:SetText("Tank: |n |n Tank and Spank. Tank this boss where he appears")
	FontString2:SetText("DPS: |n |n Tank and Spank. Stop DPS when the Boss focuses on a party member.")
	FontString3:SetText("Healer: |n |n Tank and Spank. Extra heals will be required for the person that the Boss Focuses on.")
	FontString8:SetText("Violet Hold")
	FontString9:SetText("Moragg")
	CloseDropDownMenus()
end

function ichoron()
	HideStuff()
	FontString1:SetText("Tank: |n |n Tank and Spank.")
	FontString2:SetText("DPS: |n |n Tank and Spank")
	FontString3:SetText("Healer: |n |n Tank and Spank")
	FontString8:SetText("Violet Hold")
	FontString9:SetText("Ichoron")
	CloseDropDownMenus()
end

function xevozz()
	HideStuff()
	FontString1:SetText("Tank: |n |n Kite this Boss around the back of the room. Kite him away from the Orbs. When teleported to an Orb, Run away and resume kiting.")
	FontString2:SetText("DPS: |n |n Follow the Boss and Tank around the room. When teleported to an Orb, Run away and resume DPS.")
	FontString3:SetText("Healer: |n |n Follow the Boss and Tank around the room. When teleported to an Orb, Run away and resume healing.")
	FontString8:SetText("Violet Hold")
	FontString9:SetText("Xevozz")
	CloseDropDownMenus()
end

function lavanthor()
	HideStuff()
	FontString1:SetText("Tank: |n |n Tank and Spank. Don't stand in fire.")
	FontString2:SetText("DPS: |n |n Tank and Spank. Don't stand in fire.")
	FontString3:SetText("Healer: |n |n Tank and Spank. Don't stand in fire.")
	FontString8:SetText("Violet Hold")
	FontString9:SetText("Lavanthor")
	CloseDropDownMenus()
end

function zuramattheobliterator()
	HideStuff()
	FontString1:SetText("Tank: |n |n Tank and Spank.")
	FontString2:SetText("DPS: |n |n Tank and Spank. DPS race.")
	FontString3:SetText("Healer: |n |n Tank and Spank. The longer this fight goes on, the more healing intensive it becomes.")
	FontString8:SetText("Violet Hold")
	FontString9:SetText("Zuramat the Obliterator")
	CloseDropDownMenus()
end

function cyanigosa()
	HideStuff()
	FontString1:SetText("Tank: |n |n Tank and Spank. Taunt Boss when teleported to the middle. Don't stand in the Blizzard")
	FontString2:SetText("DPS: |n |n Tank and Spank. Run out from Boss after teleported. Don't stand in the Blizzard.")
	FontString3:SetText("Healer: |n |n Tank and Spank. Run out from Boss after teleported. Don't stand in the Blizzard.")
	FontString8:SetText("Violet Hold")
	FontString9:SetText("Cyanigosa")
	CloseDropDownMenus()
end

--Boss Info Menu Cataclysm

local BossInfoMenuCat = CreateFrame("Frame", "BossInfoMenuCat")
BossInfoMenuCat:SetPoint("CENTER", 19, -20) 
BossInfoMenuCat.displayMode = "MENU"
BossInfoMenuCat.info = {}
BossInfoMenuCat.UncheckHack = function(dropdownbutton)
    _G[dropdownbutton:GetName().."Check"]:Hide()
end
BossInfoMenuCat.HideMenu = function()
    if UIDROPDOWNMENU_OPEN_MENU == BossInfoMenuCat then
        CloseDropDownMenus()
    end
end


-- Main Menu
BossInfoMenuCat.initialize = function(self, level)
    if not level then return end
    local info = self.info
    wipe(info)
    if level == 1 then
        info.isTitle = 1
        info.text = "Instance"
        info.notCheckable = 1
        UIDropDownMenu_AddButton(info, level)

        info.keepShownOnClick = 1
        info.disabled = nil
        info.isTitle = nil
        info.notCheckable = 1

        info.text = "Blackrock Caverns"
        info.func = self.UncheckHack
        info.hasArrow = 1
        info.value = "catsubmenu1"
        UIDropDownMenu_AddButton(info, level)

        info.text = "Deadmines"
        info.value = "catsubmenu2"
        UIDropDownMenu_AddButton(info, level)
		
		info.text = "Firelands"
        info.value = "catsubmenu3"
        UIDropDownMenu_AddButton(info, level)
		
		info.text = "Grim Batol"
        info.value = "catsubmenu4"
        UIDropDownMenu_AddButton(info, level)

		info.text = "Halls of Origination"
        info.value = "catsubmenu5"
        UIDropDownMenu_AddButton(info, level)

		info.text = "Lost City of the Tol'vir"
        info.value = "catsubmenu6"
        UIDropDownMenu_AddButton(info, level)

		info.text = "Shadowfang Keep"
        info.value = "catsubmenu7"
        UIDropDownMenu_AddButton(info, level)

		info.text = "Stonecore"
        info.value = "catsubmenu8"
        UIDropDownMenu_AddButton(info, level)

		info.text = "Throne of the Tides"
        info.value = "catsubmenu9"
        UIDropDownMenu_AddButton(info, level)
		
		info.text = "Vortex Pinnacle"
        info.value = "catsubmenu10"
        UIDropDownMenu_AddButton(info, level)
		
        -- Close menu item
        info.hasArrow     = nil
        info.value        = nil
        info.notCheckable = 1
        info.text         = CLOSE
        info.func         = self.HideMenu
        UIDropDownMenu_AddButton(info, level)
		
    elseif level == 2 then
        if UIDROPDOWNMENU_MENU_VALUE == "catsubmenu1" then
            info.text = "Rom'ogg Bonecrusher"
			info.func = romoggbonecrusher
            UIDropDownMenu_AddButton(info, level)

            info.text = "Corla, Herald of Twilight"
			info.func = corlaheraldoftwilight
            UIDropDownMenu_AddButton(info, level)
			
            info.text = "Karsh Steelbender"
			info.func = karshsteelbender
            UIDropDownMenu_AddButton(info, level)
			
            info.text = "Beauty"
			info.func = beauty
            UIDropDownMenu_AddButton(info, level)
			
            info.text = "Ascendant Lord Obsidius"
			info.func = ascendantlordobsidius
            UIDropDownMenu_AddButton(info, level)

        elseif UIDROPDOWNMENU_MENU_VALUE == "catsubmenu2" then
            info.text = "Rhahk'Zor"
			info.func = rhahkzor
            UIDropDownMenu_AddButton(info, level)
			
            info.text = "Sneed"
			info.func = sneed			
            UIDropDownMenu_AddButton(info, level)
			
            info.text = "Gilnid"
			info.func = gilnid			
            UIDropDownMenu_AddButton(info, level)
			
            info.text = "Mr. Smite"
			info.func = mrsmite	
            UIDropDownMenu_AddButton(info, level)
			
            info.text = "Captain Greenskin"
			info.func = captaingreenskin
            UIDropDownMenu_AddButton(info, level)
			
            info.text = "Cookie"
			info.func = cookie		
            UIDropDownMenu_AddButton(info, level)
			
            info.text = "Edwin VanCleef"
			info.func = edwinvancleef
            UIDropDownMenu_AddButton(info, level)

		elseif UIDROPDOWNMENU_MENU_VALUE == "catsubmenu3" then
            info.text = "Nothing Yet"
			info.func = nothingyet
            UIDropDownMenu_AddButton(info, level)
			
		elseif UIDROPDOWNMENU_MENU_VALUE == "catsubmenu4" then
            info.text = "General Umbriss"
			info.func = generalumbriss			
            UIDropDownMenu_AddButton(info, level)

            info.text = "Forgemaster Throngus"
			info.func = forgemasterthrongus			
            UIDropDownMenu_AddButton(info, level)
			
            info.text = "Drahga Shadowburner"
			info.func = drahgashadowburner			
            UIDropDownMenu_AddButton(info, level)
			
			info.text = "Erudax"
			info.func = erudax
			UIDropDownMenu_AddButton(info, level)

		elseif UIDROPDOWNMENU_MENU_VALUE == "catsubmenu5" then
            info.text = "Temple Guardian Anhuur"
			info.func = templeguardiananhuur			
            UIDropDownMenu_AddButton(info, level)

            info.text = "Earthrager Ptah"
			info.func = earthragerptah
            UIDropDownMenu_AddButton(info, level)
			
            info.text = "Anraphet"
			info.func = anraphet
            UIDropDownMenu_AddButton(info, level)
			
            info.text = "Isiset"
			info.func = isiset
            UIDropDownMenu_AddButton(info, level)
			
            info.text = "Ammunae"
			info.func = ammunae
            UIDropDownMenu_AddButton(info, level)
			
            info.text = "Setesh"
			info.func = setesh
            UIDropDownMenu_AddButton(info, level)
			
            info.text = "Rajh"
			info.func = rajh
            UIDropDownMenu_AddButton(info, level)
			
		elseif UIDROPDOWNMENU_MENU_VALUE == "catsubmenu6" then
            info.text = "General Husam"
			info.func = generalhusam			
            UIDropDownMenu_AddButton(info, level)

            info.text = "High Prophet Barim"
			info.func = highprophetbarim			
            UIDropDownMenu_AddButton(info, level)
			
            info.text = "Lockmaw & Augh"
			info.func = lockmawaugh	
            UIDropDownMenu_AddButton(info, level)
			
			info.text = "Siamat"
			info.func = siamat
            UIDropDownMenu_AddButton(info, level)
			
		elseif UIDROPDOWNMENU_MENU_VALUE == "catsubmenu7" then
            info.text = "Rethilgore"
			info.func = rethilgore			
            UIDropDownMenu_AddButton(info, level)

            info.text = "Razorclaw the Butcher"
			info.func = razorclawthebutcher		
            UIDropDownMenu_AddButton(info, level)
			
            info.text = "Baron Silverlaine"
			info.func = baronsilverlaine
            UIDropDownMenu_AddButton(info, level)
			
			info.text = "Commander Springvale"
			info.func = commanderspringvale
            UIDropDownMenu_AddButton(info, level)
			
            info.text = "Odo the Blindwatcher"
			info.func = odotheblindwatcher
            UIDropDownMenu_AddButton(info, level)

            info.text = "Fenrus the Devourer"
			info.func = fenrusthedevourer
            UIDropDownMenu_AddButton(info, level)
			
            info.text = "Wolf Master Nandos"
			info.func = wolfmasternandos
            UIDropDownMenu_AddButton(info, level)
			
			info.text = "Archmage Arugal"
			info.func = archmagearugal
            UIDropDownMenu_AddButton(info, level)

		elseif UIDROPDOWNMENU_MENU_VALUE == "catsubmenu8" then
            info.text = "Corborus"
			info.func = corborus
            UIDropDownMenu_AddButton(info, level)

            info.text = "Slabhide"
			info.func = slabhide		
            UIDropDownMenu_AddButton(info, level)
			
            info.text = "Ozruk"
			info.func = ozruk
            UIDropDownMenu_AddButton(info, level)
			
            info.text = "High Priestess Azil"
			info.func = highpriestessazil
            UIDropDownMenu_AddButton(info, level)
			
		elseif UIDROPDOWNMENU_MENU_VALUE == "catsubmenu9" then
            info.text = "Lady Naz'jar"
			info.func = ladynazjar		
            UIDropDownMenu_AddButton(info, level)

            info.text = "Commander Ulthok"
			info.func = commanderulthok	
            UIDropDownMenu_AddButton(info, level)
			
            info.text = "Erunak Stonespeaker & Mindbender Ghur'sha"
			info.func = stonespeakerghursha
            UIDropDownMenu_AddButton(info, level)
			
			info.text = "Ozumat"
			info.func = ozumat
            UIDropDownMenu_AddButton(info, level)
			
		elseif UIDROPDOWNMENU_MENU_VALUE == "catsubmenu10" then
            info.text = "Grand Vizier Ertan"
			info.func = grandvizierertan		
            UIDropDownMenu_AddButton(info, level)

            info.text = "Altairus"
			info.func = altairus			
            UIDropDownMenu_AddButton(info, level)
			
            info.text = "Asaad"
			info.func = asaad
            UIDropDownMenu_AddButton(info, level)
		end
		
    end
end

function romoggbonecrusher()
	HideStuff()
	FontString1:SetText("Tank: |n |n ")
	FontString2:SetText("DPS: |n |n ")
	FontString3:SetText("Healer: |n |n ")
	FontString8:SetText("Boss Info")
	FontString9:SetText("Written By Nerino1")
	CloseDropDownMenus()
end

function corlaheraldoftwilight()
	HideStuff()
	FontString1:SetText("Tank: |n |n ")
	FontString2:SetText("DPS: |n |n ")
	FontString3:SetText("Healer: |n |n ")
	FontString8:SetText("Boss Info")
	FontString9:SetText("Written By Nerino1")
	CloseDropDownMenus()
end
			
function karshsteelbender()
	HideStuff()
	FontString1:SetText("Tank: |n |n ")
	FontString2:SetText("DPS: |n |n ")
	FontString3:SetText("Healer: |n |n ")
	FontString8:SetText("Boss Info")
	FontString9:SetText("Written By Nerino1")
	CloseDropDownMenus()
end
			
function beauty()
	HideStuff()
	FontString1:SetText("Tank: |n |n ")
	FontString2:SetText("DPS: |n |n ")
	FontString3:SetText("Healer: |n |n ")
	FontString8:SetText("Boss Info")
	FontString9:SetText("Written By Nerino1")
	CloseDropDownMenus()
end
			
function ascendantlordobsidius()
	HideStuff()
	FontString1:SetText("Tank: |n |n ")
	FontString2:SetText("DPS: |n |n ")
	FontString3:SetText("Healer: |n |n ")
	FontString8:SetText("Boss Info")
	FontString9:SetText("Written By Nerino1")
	CloseDropDownMenus()
end
			
function rhahkzor()
	HideStuff()
	FontString1:SetText("Tank: |n |n ")
	FontString2:SetText("DPS: |n |n ")
	FontString3:SetText("Healer: |n |n ")
	FontString8:SetText("Boss Info")
	FontString9:SetText("Written By Nerino1")
	CloseDropDownMenus()
end

function sneed()
	HideStuff()
	FontString1:SetText("Tank: |n |n ")
	FontString2:SetText("DPS: |n |n ")
	FontString3:SetText("Healer: |n |n ")
	FontString8:SetText("Boss Info")
	FontString9:SetText("Written By Nerino1")
	CloseDropDownMenus()
end			
			
function gilnid()
	HideStuff()
	FontString1:SetText("Tank: |n |n ")
	FontString2:SetText("DPS: |n |n ")
	FontString3:SetText("Healer: |n |n ")
	FontString8:SetText("Boss Info")
	FontString9:SetText("Written By Nerino1")
	CloseDropDownMenus()
end		

function mrsmite()
	HideStuff()
	FontString1:SetText("Tank: |n |n ")
	FontString2:SetText("DPS: |n |n ")
	FontString3:SetText("Healer: |n |n ")
	FontString8:SetText("Boss Info")
	FontString9:SetText("Written By Nerino1")
	CloseDropDownMenus()
end	
			
function captaingreenskin()
	HideStuff()
	FontString1:SetText("Tank: |n |n ")
	FontString2:SetText("DPS: |n |n ")
	FontString3:SetText("Healer: |n |n ")
	FontString8:SetText("Boss Info")
	FontString9:SetText("Written By Nerino1")
	CloseDropDownMenus()
end
			
function cookie()
	HideStuff()
	FontString1:SetText("Tank: |n |n ")
	FontString2:SetText("DPS: |n |n ")
	FontString3:SetText("Healer: |n |n ")
	FontString8:SetText("Boss Info")
	FontString9:SetText("Written By Nerino1")
	CloseDropDownMenus()
end		
			
function edwinvancleef()
	HideStuff()
	FontString1:SetText("Tank: |n |n ")
	FontString2:SetText("DPS: |n |n ")
	FontString3:SetText("Healer: |n |n ")
	FontString8:SetText("Boss Info")
	FontString9:SetText("Written By Nerino1")
	CloseDropDownMenus()
end
			
function nothingyet()
	HideStuff()
	FontString1:SetText('')
	FontString2:SetText('Cannot Find Boss Info For This Instance Yet')
	FontString3:SetText('')
	FontString8:SetText("Boss Info")
	FontString9:SetText("Written By Nerino1")
	CloseDropDownMenus()
end	
function generalumbriss()
	HideStuff()
	FontString1:SetText("Tank: |n |n ")
	FontString2:SetText("DPS: |n |n ")
	FontString3:SetText("Healer: |n |n ")
	FontString8:SetText("Boss Info")
	FontString9:SetText("Written By Nerino1")
	CloseDropDownMenus()
end			

function forgemasterthrongus()
	HideStuff()
	FontString1:SetText("Tank: |n |n ")
	FontString2:SetText("DPS: |n |n ")
	FontString3:SetText("Healer: |n |n ")
	FontString8:SetText("Boss Info")
	FontString9:SetText("Written By Nerino1")
	CloseDropDownMenus()
end			
			
function drahgashadowburner()
	HideStuff()
	FontString1:SetText("Tank: |n |n ")
	FontString2:SetText("DPS: |n |n ")
	FontString3:SetText("Healer: |n |n ")
	FontString8:SetText("Boss Info")
	FontString9:SetText("Written By Nerino1")
	CloseDropDownMenus()
end			
			
function erudax()
	HideStuff()
	FontString1:SetText("Tank: |n |n ")
	FontString2:SetText("DPS: |n |n ")
	FontString3:SetText("Healer: |n |n ")
	FontString8:SetText("Boss Info")
	FontString9:SetText("Written By Nerino1")
	CloseDropDownMenus()
end
			
function templeguardiananhuur()
	HideStuff()
	FontString1:SetText("Tank: |n |n ")
	FontString2:SetText("DPS: |n |n ")
	FontString3:SetText("Healer: |n |n ")
	FontString8:SetText("Boss Info")
	FontString9:SetText("Written By Nerino1")
	CloseDropDownMenus()
end			

function earthragerptah()
	HideStuff()
	FontString1:SetText("Tank: |n |n ")
	FontString2:SetText("DPS: |n |n ")
	FontString3:SetText("Healer: |n |n ")
	FontString8:SetText("Boss Info")
	FontString9:SetText("Written By Nerino1")
	CloseDropDownMenus()
end
			
function anraphet()
	HideStuff()
	FontString1:SetText("Tank: |n |n ")
	FontString2:SetText("DPS: |n |n ")
	FontString3:SetText("Healer: |n |n ")
	FontString8:SetText("Boss Info")
	FontString9:SetText("Written By Nerino1")
	CloseDropDownMenus()
end
			
function isiset()
	HideStuff()
	FontString1:SetText("Tank: |n |n ")
	FontString2:SetText("DPS: |n |n ")
	FontString3:SetText("Healer: |n |n ")
	FontString8:SetText("Boss Info")
	FontString9:SetText("Written By Nerino1")
	CloseDropDownMenus()
end
			
function ammunae()
	HideStuff()
	FontString1:SetText("Tank: |n |n ")
	FontString2:SetText("DPS: |n |n ")
	FontString3:SetText("Healer: |n |n ")
	FontString8:SetText("Boss Info")
	FontString9:SetText("Written By Nerino1")
	CloseDropDownMenus()
end
			
function setesh()
	HideStuff()
	FontString1:SetText("Tank: |n |n ")
	FontString2:SetText("DPS: |n |n ")
	FontString3:SetText("Healer: |n |n ")
	FontString8:SetText("Boss Info")
	FontString9:SetText("Written By Nerino1")
	CloseDropDownMenus()
end
			
function rajh()
	HideStuff()
	FontString1:SetText("Tank: |n |n ")
	FontString2:SetText("DPS: |n |n ")
	FontString3:SetText("Healer: |n |n ")
	FontString8:SetText("Boss Info")
	FontString9:SetText("Written By Nerino1")
	CloseDropDownMenus()
end
			
function generalhusam()
	HideStuff()
	FontString1:SetText("Tank: |n |n ")
	FontString2:SetText("DPS: |n |n ")
	FontString3:SetText("Healer: |n |n ")
	FontString8:SetText("Boss Info")
	FontString9:SetText("Written By Nerino1")
	CloseDropDownMenus()
end			

function highprophetbarim()
	HideStuff()
	FontString1:SetText("Tank: |n |n ")
	FontString2:SetText("DPS: |n |n ")
	FontString3:SetText("Healer: |n |n ")
	FontString8:SetText("Boss Info")
	FontString9:SetText("Written By Nerino1")
	CloseDropDownMenus()
end			
		
function lockmawaugh()
	HideStuff()
	FontString1:SetText("Tank: |n |n ")
	FontString2:SetText("DPS: |n |n ")
	FontString3:SetText("Healer: |n |n ")
	FontString8:SetText("Boss Info")
	FontString9:SetText("Written By Nerino1")
	CloseDropDownMenus()
end
			
function siamat()
	HideStuff()
	FontString1:SetText("Tank: |n |n ")
	FontString2:SetText("DPS: |n |n ")
	FontString3:SetText("Healer: |n |n ")
	FontString8:SetText("Boss Info")
	FontString9:SetText("Written By Nerino1")
	CloseDropDownMenus()
end
			
function rethilgore	()
	HideStuff()
	FontString1:SetText("Tank: |n |n ")
	FontString2:SetText("DPS: |n |n ")
	FontString3:SetText("Healer: |n |n ")
	FontString8:SetText("Boss Info")
	FontString9:SetText("Written By Nerino1")
	CloseDropDownMenus()
end		

function razorclawthebutcher()
	HideStuff()
	FontString1:SetText("Tank: |n |n ")
	FontString2:SetText("DPS: |n |n ")
	FontString3:SetText("Healer: |n |n ")
	FontString8:SetText("Boss Info")
	FontString9:SetText("Written By Nerino1")
	CloseDropDownMenus()
end		
			
function baronsilverlaine()
	HideStuff()
	FontString1:SetText("Tank: |n |n ")
	FontString2:SetText("DPS: |n |n ")
	FontString3:SetText("Healer: |n |n ")
	FontString8:SetText("Boss Info")
	FontString9:SetText("Written By Nerino1")
	CloseDropDownMenus()
end
			
function commanderspringvale()
	HideStuff()
	FontString1:SetText("Tank: |n |n ")
	FontString2:SetText("DPS: |n |n ")
	FontString3:SetText("Healer: |n |n ")
	FontString8:SetText("Boss Info")
	FontString9:SetText("Written By Nerino1")
	CloseDropDownMenus()
end
			
function odotheblindwatcher()
	HideStuff()
	FontString1:SetText("Tank: |n |n ")
	FontString2:SetText("DPS: |n |n ")
	FontString3:SetText("Healer: |n |n ")
	FontString8:SetText("Boss Info")
	FontString9:SetText("Written By Nerino1")
	CloseDropDownMenus()
end

function fenrusthedevourer()
	HideStuff()
	FontString1:SetText("Tank: |n |n ")
	FontString2:SetText("DPS: |n |n ")
	FontString3:SetText("Healer: |n |n ")
	FontString8:SetText("Boss Info")
	FontString9:SetText("Written By Nerino1")
	CloseDropDownMenus()
end
			
function wolfmasternandos()
	HideStuff()
	FontString1:SetText("Tank: |n |n ")
	FontString2:SetText("DPS: |n |n ")
	FontString3:SetText("Healer: |n |n ")
	FontString8:SetText("Boss Info")
	FontString9:SetText("Written By Nerino1")
	CloseDropDownMenus()
end
			
function archmagearugal()
	HideStuff()
	FontString1:SetText("Tank: |n |n ")
	FontString2:SetText("DPS: |n |n ")
	FontString3:SetText("Healer: |n |n ")
	FontString8:SetText("Boss Info")
	FontString9:SetText("Written By Nerino1")
	CloseDropDownMenus()
end
			
function corborus()
	HideStuff()
	FontString1:SetText("Tank: |n |n ")
	FontString2:SetText("DPS: |n |n ")
	FontString3:SetText("Healer: |n |n ")
	FontString8:SetText("Boss Info")
	FontString9:SetText("Written By Nerino1")
	CloseDropDownMenus()
end

function slabhide()
	HideStuff()
	FontString1:SetText("Tank: |n |n ")
	FontString2:SetText("DPS: |n |n ")
	FontString3:SetText("Healer: |n |n ")
	FontString8:SetText("Boss Info")
	FontString9:SetText("Written By Nerino1")
	CloseDropDownMenus()
end		
			
function ozruk()
	HideStuff()
	FontString1:SetText("Tank: |n |n ")
	FontString2:SetText("DPS: |n |n ")
	FontString3:SetText("Healer: |n |n ")
	FontString8:SetText("Boss Info")
	FontString9:SetText("Written By Nerino1")
	CloseDropDownMenus()
end
			
function highpriestessazil()
	HideStuff()
	FontString1:SetText("Tank: |n |n ")
	FontString2:SetText("DPS: |n |n ")
	FontString3:SetText("Healer: |n |n ")
	FontString8:SetText("Boss Info")
	FontString9:SetText("Written By Nerino1")
	CloseDropDownMenus()
end
			
function ladynazjar()
	HideStuff()
	FontString1:SetText("Tank: |n |n ")
	FontString2:SetText("DPS: |n |n ")
	FontString3:SetText("Healer: |n |n ")
	FontString8:SetText("Boss Info")
	FontString9:SetText("Written By Nerino1")
	CloseDropDownMenus()
end		

function commanderulthok()
	HideStuff()
	FontString1:SetText("Tank: |n |n ")
	FontString2:SetText("DPS: |n |n ")
	FontString3:SetText("Healer: |n |n ")
	FontString8:SetText("Boss Info")
	FontString9:SetText("Written By Nerino1")
	CloseDropDownMenus()
end	
			
function stonespeakerghursha()
	HideStuff()
	FontString1:SetText("Tank: |n |n ")
	FontString2:SetText("DPS: |n |n ")
	FontString3:SetText("Healer: |n |n ")
	FontString8:SetText("Boss Info")
	FontString9:SetText("Written By Nerino1")
	CloseDropDownMenus()
end
			
function ozumat()
	HideStuff()
	FontString1:SetText("Tank: |n |n ")
	FontString2:SetText("DPS: |n |n ")
	FontString3:SetText("Healer: |n |n ")
	FontString8:SetText("Boss Info")
	FontString9:SetText("Written By Nerino1")
	CloseDropDownMenus()
end
			
function grandvizierertan()
	HideStuff()
	FontString1:SetText("Tank: |n |n ")
	FontString2:SetText("DPS: |n |n ")
	FontString3:SetText("Healer: |n |n ")
	FontString8:SetText("Boss Info")
	FontString9:SetText("Written By Nerino1")
	CloseDropDownMenus()
end		

function altairus()
	HideStuff()
	FontString1:SetText("Tank: |n |n ")
	FontString2:SetText("DPS: |n |n ")
	FontString3:SetText("Healer: |n |n ")
	FontString8:SetText("Boss Info")
	FontString9:SetText("Written By Nerino1")
	CloseDropDownMenus()
end			
			
function asaad()
	HideStuff()
	FontString1:SetText("Tank: |n |n ")
	FontString2:SetText("DPS: |n |n ")
	FontString3:SetText("Healer: |n |n ")
	FontString8:SetText("Boss Info")
	FontString9:SetText("Written By Nerino1")
	CloseDropDownMenus()
end